/*!
\file mollweide.h
\brief Class declaration for Mollweide
\author Nicholas Phillips, phillips@friday.gsfc.nasa.gov
\date Aug 11, 2004
*/
#ifndef MOLLWEIDE_H
#define MOLLWEIDE_H

#include "projection.h"
#include "sphere3d.h"

class Mollweide : public Sphere3D
{
public:
	virtual ~Mollweide() {};
	virtual bool select(const qglviewer::Vec &o,const qglviewer::Vec &d, qglviewer::Vec &v);

	void setResolution(int sphere_res_);
};

#endif
